Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDProvider

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDProvider

Direct Known Subclasses:
  WSDDBsfProvider, WSDDComProvider, WSDDHandlerProvider, WSDDJavaEJBProvider, WSDDJavaMsgProvider, WSDDJavaRPCProvider

public abstract class WSDDProvider
extends java.lang.Object

WSDD provider element Represents the liason to the application being exposed as a Web Service. Specific provider extension classes must be registered by namespace URI.

Author:
  James Snell

Constructor Summary
`WSDDProvider()`

Method Summary
`static Handler` | `getInstance(QName providerType, WSDDService service, EngineConfiguration registry)`
`WSDDOperation` | `getOperation(java.lang.String name)`
`WSDDOperation[]` | `getOperations()`
`abstract Handler` | `newProviderInstance(WSDDService service, EngineConfiguration registry)`
`static void` | `registerProvider(QName uri, WSDDProvider prov)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDDProvider

    public WSDDProvider()

Method Detail

### registerProvider

    public static void registerProvider(QName uri,
                                        WSDDProvider prov)

  Parameters:
    `uri` - XXX
    `_class` - XXX

### getOperations

    public WSDDOperation[] getOperations()

  Returns:
    XXX

### getOperation

    public WSDDOperation getOperation(java.lang.String name)

  Parameters:
    `name` - XXX
  Returns:
    XXX

### getInstance

    public static Handler getInstance(QName providerType,
                                      WSDDService service,
                                      EngineConfiguration registry)
                               throws java.lang.Exception

  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

### newProviderInstance

    public abstract Handler newProviderInstance(WSDDService service,
                                                EngineConfiguration registry)
                                         throws java.lang.Exception

  Parameters:
    `registry` - XXX
  Returns:
    XXX
  Throws:
    `java.lang.Exception` - XXX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.